unit FormVersion;

{
    Copyright (c) 2004 headcrash industries. All rights reserved.

    Author: Gerke Preussner <j3rky@gerke-preussner.de>

    This file belongs to the InfoZIP UnZip for Delphi Wrapper. Please read
    the license agreement in the readme.txt that comes with this package.
    Latest updates can be found at http://www.gerke-preussner.de
}

interface

{*
========================
   includes
========================
*}

uses SysUtils, Classes, Controls, Forms, StdCtrls, Unzip;


type

{*
========================
   classes
========================
*}

   ////////////////////
   //  TForm_Version
   ////////////////////

   TForm_Version = class(TForm)

      Label_Unzip: TLabel;
      Label_UnzipV: TLabel;
      Label_Date: TLabel;
      Label_DateV: TLabel;
      Label_Beta: TLabel;
      Label_BetaV: TLabel;
      Label_ZipInfo: TLabel;
      Label_ZipinfoV: TLabel;

      Label_Zlib: TLabel;
      Label_ZlibV: TLabel;
      Label_OS2Dll: TLabel;
      Label_OS2DllV: TLabel;
      Label_WinDll: TLabel;
      Label_WinDllV: TLabel;

      Button_Ok: TButton;

   public
    
      procedure ShowVersion (var version: UzpVer); overload;
      procedure ShowVersion (var version: UzpVer2); overload;

   end;


{*
========================
   globals
========================
*}

var
   Form_Version: TForm_Version;
   

implementation

{$R *.dfm}

procedure TForm_Version.ShowVersion (var version: UzpVer);
begin
   // demo for UzpVer
   self.Caption := 'UzpVersion';

   with version do
      begin
      self.Label_UnzipV.Caption := IntToStr(unzip.major) + '.' + IntToStr(unzip.minor) + '.' + IntToStr(unzip.patchlevel);
      self.Label_DateV.Caption := date;
      if (flag and UZ_VERFLAG_ISBETA) <> 0 then self.Label_BetaV.Caption := 'yes' else self.Label_BetaV.Caption := 'no';
      if (flag and UZ_VERFLAG_USESZLIB) <> 0 then self.Label_ZlibV.Caption := 'yes' else self.Label_ZlibV.Caption := 'no';
      self.Label_ZipinfoV.Caption := IntToStr(zipinfo.major) + '.' + IntToStr(zipinfo.minor) + '.' + IntToStr(zipinfo.patchlevel);
      self.Label_OS2DllV.Caption := IntToStr(os2dll.major) + '.' + IntToStr(os2dll.minor) + '.' + IntToStr(os2dll.patchlevel);
      self.Label_WinDllV.Caption := IntToStr(windll.major) + '.' + IntToStr(windll.minor) + '.' + IntToStr(windll.patchlevel);
      end;

   self.ShowModal;
end;


procedure TForm_Version.ShowVersion (var version: UzpVer2);
begin
   // demo for UzpVer2
   self.Caption := 'UzpVersion2';

   with version do
      begin
      self.Label_UnzipV.Caption := IntToStr(unzip.major) + '.' + IntToStr(unzip.minor) + '.' + IntToStr(unzip.patchlevel);
      self.Label_DateV.Caption := date;
      if (flag and UZ_VERFLAG_ISBETA) <> 0 then self.Label_BetaV.Caption := 'yes' else self.Label_BetaV.Caption := 'no';
      if (flag and UZ_VERFLAG_USESZLIB) <> 0 then self.Label_ZlibV.Caption := 'yes' else self.Label_ZlibV.Caption := 'no';
      self.Label_ZipinfoV.Caption := IntToStr(zipinfo.major) + '.' + IntToStr(zipinfo.minor) + '.' + IntToStr(zipinfo.patchlevel);
      self.Label_OS2DllV.Caption := IntToStr(os2dll.major) + '.' + IntToStr(os2dll.minor) + '.' + IntToStr(os2dll.patchlevel);
      self.Label_WinDllV.Caption := IntToStr(windll.major) + '.' + IntToStr(windll.minor) + '.' + IntToStr(windll.patchlevel);
      end;

   self.ShowModal;
end;



end.
